first cut at turnon scripts for EasyTimer v2
[fw/altos] / ao-bringup / test-easytimer-v2
diff --git a/ao-bringup/test-easytimer-v2 b/ao-bringup/test-easytimer-v2
new file mode 100755 (executable)
index 0000000..023f27b
--- /dev/null
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+VERSION=2
+PRODUCT=EasyTimer
+BASE=`echo $PRODUCT | tr 'A-Z' 'a-z'`
+
+echo "$PRODUCT-v$VERSION Test Program"
+echo "Copyright 2024 by Bdale Garbee.  Released under GPL v3"
+echo
+echo "Expectations:"
+echo "\t$PRODUCT v$VERSION powered from USB"
+echo
+
+ret=1
+ao-list | while read product serial dev; do
+    case "$product" in
+       "$PRODUCT-v$VERSION")
+
+           echo "Testing $product $serial $dev"
+
+           ./test-igniters $dev 0 1
+           echo""
+
+           case $? in
+               0)
+                   ;;
+               *)
+                   echo "failed"
+                   exit 1
+           esac
+           echo""
+
+
+           FLASHSIZE=1048576
+
+           echo "Testing flash"
+           ../ao-tools/ao-test-flash/ao-test-flash --tty="$dev" "$FLASHSIZE"
+
+           if [ $? -ne 0 ]; then
+               echo -e '\e[31m'"$PRODUCT-$VERSION serial $serial failed"'\e[39m'
+               exit 1
+           fi
+           echo ""
+
+
+           echo "$PRODUCT-v$VERSION" serial "$serial" is ready to ship
+           echo "\007"
+           ret=0
+           ;;
+    esac
+done